import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class DomainRootModule {}

@NgModule({})
export class DomainModule {
  public static forRoot(): ModuleWithProviders<DomainRootModule> {
    return {
      ngModule: DomainRootModule,
      providers: [...SERVICES],
    };
  }
}
